source 'https://rubygems.org'


# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '4.2.5.1'
# Use postgresql as the database for Active Record
gem 'pg', '~> 0.15'
# Use SCSS for stylesheets
gem 'bootstrap-sass', '~> 3.3.5'

gem "paperclip", "~> 4.3"

gem 'sass-rails', '~> 5.0'
# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '>= 1.3.0'
# Use CoffeeScript for .coffee assets and views
gem 'coffee-rails', '~> 4.1.0'
# See https://github.com/rails/execjs#readme for more supported runtimes
# gem 'therubyracer', platforms: :ruby
gem 'haml', '~> 4.0.5'
# Use jquery as the JavaScript library
gem 'jquery-rails'
# Turbolinks makes following links in your web application faster. Read more: https://github.com/rails/turbolinks

# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.0'
# bundle exec rake doc:rails generates the API under doc/api.
gem 'sdoc', '~> 0.4.0', group: :doc
gem 'papercrop'
gem 'rails_12factor', group: :production
gem 'public_activity'
gem 'pry'
gem 'devise'
gem 'gon'
gem 'angularjs-rails'
gem 'angularjs-rails-resource', '~> 2.0.0'
gem 'bower-rails'
gem 'angular-ui-router-rails', '~> 0.2.15'
gem 'angular-rails-templates'
gem 'font-awesome-sass'
# Use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'
gem 'angularjs-file-upload-rails', '~> 2.2.0'
gem "haml-rails"
# Use Unicorn as the app server
# gem 'unicorn'
gem 'wkhtmltopdf-binary'
gem 'wicked_pdf'
# Use Capistrano for deployment
# gem 'capistrano-rails', group: :development

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'rspec-rails', '~> 3.0'
  gem "factory_girl_rails", "~> 4.0"
  gem 'byebug'
end

group :development do
  # Access an IRB console on exception pages or by using <%= console %> in views
  gem 'web-console', '~> 2.0'

  # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
  gem 'spring'
end


group :test do
  gem 'capybara', '~> 2.3.0'


end
